/***************************************************************************
 *                                                                         *
 * @@@@  @@@ @@@@@ @@@@@ @@@@@ @@@ @@@@  @   @ @@@@@ @@@@@ @@@@       @@@  *
 * @   @  @  @       @   @   @  @  @   @ @   @   @   @     @   @     @   @ *
 * @   @  @  @@@@@   @   @@@@@  @  @@@@@ @   @   @   @@@@@ @   @     @     *
 * @   @  @      @   @   @ @    @  @   @ @   @   @   @     @   @     @   @ *
 * @@@@  @@@ @@@@@   @   @  @  @@@ @@@@  @@@@@   @   @@@@@ @@@@       @@@  *
 *                                                                         *
 *              A compiler for distributed programming with C              *
 *                                                                         *
 *                             c o n f i g . h                             *
 *                                                                         *
 *                 Version 1.0      CreationDate: 17.07.91                 *
 *                                    LastUpDate: 17.07.91                 *
 *                                                                         *
 *  Configuration file for all modules of the producer/consumer example.   *
 *                                                                         *
 *              Copyright (C) 1990,1991 by Christoph Pleier.               *
 *                          All rights reserved!                           *
 ***************************************************************************/

/* function return codes */
#define OK		0
#define ERROR		-1

/* type of a message */
struct msg_t {
	char name[100];
	long value;
};

/*
 * process specifications
 */

process spec buffer()
{
    /* write a message into buffer */
    trans int b_write(struct msg_t msg); 

    /* read a message from buffer */
    trans struct msg_t b_read();
}

process spec producer(int num, process buffer buffer_descr, long msgnum);

process spec consumer(int num, process buffer buffer_descr);
